## animals 19991226-4.2

=== Makefile ===
#this is the -*- makefile -*- for animals.

# Copyright (c) 1997 by Jim Lynch.
# This software comes with NO WARRANTY WHATSOEVER.
#
# This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; version 2 dated June, 1991, or, at your
#    option, any LATER version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program;  if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# On Debian Linux systems, the complete text of the GNU General
# Public License can be found in `/usr/doc/copyright/GPL' (on some
# installations) or /usr/share/common-licenses/GPL (on newer 
# ones).

# if you want the db in your home dir (maybe for testing)
#CPPFLAGS = -g -DDbName=\"$(HOME)/animals.db\"

# this one is pre-FHS, so uses FSSTND
#CPPFLAGS = -g -DDbName=\"/var/lib/games/animals/animals.db\"

# use this one for debian potato package
CPPFLAGS = -g -DDbName=\"/var/games/animals/animals.db\"

# Edited for Debian GNU/Linux.
DESTDIR =

animals: main.o db2++-stuff.o
	g++ -o animals main.o db2++-stuff.o -ldb2++

# various tests are conducted in test.cc
test: db2++-stuff.o test.o
	g++ -o test test.o db2++-stuff.o -ldb2++

main.o: main.cc Record.h Question.h Animal.h db2++-stuff.h

db2++-stuff.o: db2++-stuff.cc db2++-stuff.h

install: animals
	cp animals $(DESTDIR)/usr/games/animals
	mkdir -p $(DESTDIR)/var/games/animals

clean:
	rm -f animals test *.o *~ core

## animals 19991226-4.1

=== debian/changelog ===
animals (19991226-4.1) frozen unstable; urgency=low

  * Non maintainer upload.

  * From Jim Lynch:
      Applied patch from Randolph <tausq@debian.org> which catches
      signals.  This is temporary to get it through the release. I
      will be using these ideas when I switch to having the file open
      only when accessing it.  Perhaps this will facilitate multiuser
      operation. (closes: #61825).  Thanks Randolph for the patch and
      aj for the upload.

 -- Anthony Towns <ajt@debian.org>  Sun, 23 Apr 2000 23:34:04 +1000

animals (19991226-4) frozen unstable; urgency=low

  * Fixed problems resulting from going from db2.6 to db2, cleaned up calls

 --  <jwl@debian.org>  Sun, 27 Feb 2000 02:31:24 -0800

animals (19991226-3) frozen unstable; urgency=low

  * db2.6 pulled by release mgr; recompiled with db2. (no other change at all)

 --  <jwl@debian.org>  Fri, 25 Feb 2000 16:36:18 -0800

animals (19991226-2) unstable; urgency=low

  * maintainer address change.

 --  <jwl@debian.org>  Mon, 10 Jan 2000 03:06:17 -0800

animals (19991226-1) unstable; urgency=low

  * new "upstream" (I am upstream author) version
  * Fixes Bug#53476. Recompiled w/ gcc-2.95.2 against ligstdc++2.10.
  * Now uses Berkeley Db's c++ wrapper lib (libdb2.6++)

 --  <jwl@debian.org>  Fri, 31 Dec 1999 14:20:00 -0800

animals (19990604-1) unstable; urgency=low

  * Initial Release.

 --  <jim@laney.edu>  Fri,  4 Jun 1999 12:14:53 -0700

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: animals
Section: games
Priority: optional
Maintainer: Jim Lynch <jwl@debian.org>
Standards-Version: 2.5.0

Package: animals
Architecture: any
Depends: ${shlibs:Depends}
Description: Traditional AI animal guessing engine using a binary tree DB
 You think of an animal, and this package tries to guess it... when it's wrong,
 you teach it about your animal.

## animals 19991226-4.2

=== debian/changelog ===
animals (19991226-4.2) frozen unstable; urgency=low

  * NMU
  * Missing build-depend on debhelper.  Closes: #70080, #70147, #84549.

 -- LaMont Jones <lamont@smallone.fc.hp.com>  Sat, 14 Jul 2001 21:55:50 -0600

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Jim Lynch <jwl@debian.org>
 Standards-Version: 2.5.0
+Build-Depends: debhelper, libdb2++-dev
 
 Package: animals
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	$(MAKE) 

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/tmp

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installinit
	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here
	#  OK, make data dir for animals sgid games
	chown root.games   `pwd`/debian/tmp/var/games/animals
	chmod 02770        `pwd`/debian/tmp/var/games/animals
	#  then make animals executable sgid games
	chown root.games   `pwd`/debian/tmp/usr/games/animals
	chmod 02755        `pwd`/debian/tmp/usr/games/animals
	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## animals 20031130

=== Makefile ===
--- 
+++ 
@@ -28,26 +28,36 @@
 # this one is pre-FHS, so uses FSSTND
 #CPPFLAGS = -g -DDbName=\"/var/lib/games/animals/animals.db\"
 
-# use this one for debian potato package
+# use this one for FHS-based debian package
 CPPFLAGS = -g -DDbName=\"/var/games/animals/animals.db\"
 
 # Edited for Debian GNU/Linux.
 DESTDIR =
 
-animals: main.o db2++-stuff.o
-	g++ -o animals main.o db2++-stuff.o -ldb2++
+animals: main.o db4++-stuff.o str-conversions.o util.o
+	g++ -o animals main.o db4++-stuff.o str-conversions.o util.o -ldb_cxx
 
 # various tests are conducted in test.cc
-test: db2++-stuff.o test.o
-	g++ -o test test.o db2++-stuff.o -ldb2++
+test: db4++-stuff.o test.o str-conversions.o util.o
+	g++ -o test test.o db4++-stuff.o str-conversions.o -ldb_cxx
 
-main.o: main.cc Record.h Question.h Animal.h db2++-stuff.h
+# tests of the string conversion funcs are conducted in test-str-cvt.cc
+test-str-cvt: test-str-cvt.o str-conversions.o
+	g++ -o test-str-cvt test-str-cvt.o str-conversions.o
 
-db2++-stuff.o: db2++-stuff.cc db2++-stuff.h
+test-str-cvt.o: test-str-cvt.cc str-conversions.h
+
+str-conversions.o: str-conversions.cc str-conversions.h
+
+main.o: main.cc Record.h Question.h Animal.h db++-stuff.h str-conversions.h
+
+db4++-stuff.o: db4++-stuff.cc db++-stuff.h
+
+util.o: util.cc util.h
 
 install: animals
 	cp animals $(DESTDIR)/usr/games/animals
 	mkdir -p $(DESTDIR)/var/games/animals
 
 clean:
-	rm -f animals test *.o *~ core
+	rm -f animals test test-str-cvt *.o *~ core

## animals 201007161925

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #this is the -*- makefile -*- for animals.
 
 # Copyright (c) 1997 by Jim Lynch.
+# Copyright (c) 2010 by Philipp Schafft.
 # This software comes with NO WARRANTY WHATSOEVER.
 #
 # This program is free software; you can redistribute it and/or modify
@@ -15,7 +16,8 @@
 #
 #    You should have received a copy of the GNU General Public License
 #    along with this program;  if not, write to the Free Software
-#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+#    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+#    02110-1301 USA
 #
 # On Debian Linux systems, the complete text of the GNU General
 # Public License can be found in `/usr/doc/copyright/GPL' (on some
@@ -29,21 +31,23 @@
 #CPPFLAGS = -g -DDbName=\"/var/lib/games/animals/animals.db\"
 
 # use this one for FHS-based debian package
-CPPFLAGS = -g -DDbName=\"/var/games/animals/animals.db\"
+CPPFLAGS += -g -DDbName=\"/var/games/animals/animals.db\"
 
 # Edited for Debian GNU/Linux.
 DESTDIR =
 
+CXX=g++
+
 animals: main.o db4++-stuff.o str-conversions.o util.o
-	g++ -o animals main.o db4++-stuff.o str-conversions.o util.o -ldb_cxx
+	$(CXX) -o animals main.o db4++-stuff.o str-conversions.o util.o -ldb_cxx
 
 # various tests are conducted in test.cc
 test: db4++-stuff.o test.o str-conversions.o util.o
-	g++ -o test test.o db4++-stuff.o str-conversions.o -ldb_cxx
+	$(CXX) -o test test.o db4++-stuff.o str-conversions.o -ldb_cxx
 
 # tests of the string conversion funcs are conducted in test-str-cvt.cc
 test-str-cvt: test-str-cvt.o str-conversions.o
-	g++ -o test-str-cvt test-str-cvt.o str-conversions.o
+	$(CXX) -o test-str-cvt test-str-cvt.o str-conversions.o
 
 test-str-cvt.o: test-str-cvt.cc str-conversions.h
 
@@ -55,9 +59,19 @@
 
 util.o: util.cc util.h
 
-install: animals
+install-prep-dirs:
+	mkdir -p $(DESTDIR)/usr/games
+	mkdir -p $(DESTDIR)/var/games/animals
+	mkdir -p $(DESTDIR)/usr/share/man/man6
+
+install: animals install-prep-dirs
 	cp animals $(DESTDIR)/usr/games/animals
-	mkdir -p $(DESTDIR)/var/games/animals
+	cp animals.6 $(DESTDIR)/usr/share/man/man6
+
+all: animals
 
 clean:
 	rm -f animals test test-str-cvt *.o *~ core
+
+new: clean all
+

=== debian/changelog ===
animals (201007161925-1) unstable; urgency=low

  [ Philipp Schafft ]
  * New maintainer. (Closes: #541009)
  * Fixed some lintian errors.
  * New upstream release.
    - Patches are merged by upstream.
    - Some usability fixes.
    - Added support for multible databases. (Closes: #583596)

  [ Patrick Matthäi ]
  * Bump Standards-Version to 3.9.0.
    - Replace Conflicts with Breaks.
  * Remove empty debian/docs file.
  * Cleanup debian/rules.
  * Convert package to 3.0 (quilt).
  * Remove debian/dirs file.
  * Point to GPL-2 in debian/copyright.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 13 Jul 2010 19:28:39 +0200

animals (20031130-2.4) unstable; urgency=low

  * Non-maintainer upload.
  * Fix build with gcc-4.3 (Closes: #417081)

 -- Joost Yervante Damad <andete@debian.org>  Thu, 06 Mar 2008 21:10:33 +0100

animals (20031130-2.3) unstable; urgency=low

  * Non-maintainer upload from the Zürich BSP.
  * Apply patch from Martin Michlmayr to fix FBTFS with GCC 4.3 (Closes:
    #417081).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 13 Jan 2008 12:03:43 +0100

animals (20031130-2.2) unstable; urgency=low

  * Switch to db4.6.   closes: #421958.
  * Bump to Standards-Version 3.7.2.

 -- Clint Adams <schizo@debian.org>  Fri, 31 Aug 2007 14:04:28 -0400

animals (20031130-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build depend on db4.3++-dev (Closes: #334252)

 -- Luk Claes <luk@debian.org>  Fri, 28 Oct 2005 17:00:29 +0200

animals (20031130-2) unstable; urgency=low

  * latest Standards-Version
  * trying to fix permission problem, not finished.
  * Now build-depends on db4.2++ libs (closes: #263233)

 --  <jwl@debian.org>  Sun, 08 Aug 2004 19:57:13 -0700

animals (20031130-1) unstable; urgency=low

  * new upstream version
  * New maintainer (closes: #202174)
  * animals is no longer a native package
  * added build-dep on libdb4.1-dev package 

 --  <jwl@debian.org>  Sun, 29 Nov 2003 03:17:00 -0800

animals (20030630-2) unstable; urgency=low

  * factored a handful of small utility funcs out of main.cc into util.{cc,h}
  * fixed the "test" target, using the working versions of the utils mentioned
      above.

 --  <jwl@debian.org>  Mon, 14 Jul 2003 18:21:00 -0700

animals (20030630-1) unstable; urgency=low

  * new "upstream" (I am upstream author) version
  * this is a port to the new C++ standards.
  * rebuilt with db4 (sheesh. this db stuff is a mess. I think I'll do a pg 
      version.)
  * fully compiles with new c++ standards
      (closes: #195404, #153037)
  * OK, so the permissions (bug 130194) do seem wacky... I'll work on it.
      Here's what I (think I) want: no access to the animals data file 
      other than by the game, meaning they can't see or alter it. As the
      bug filer noted, that's not precisely what I got. Comments?
  * what happened to the "pristineness" of the tarball?? you NMUers
      did good jobs fixing the bugs, but you should have produced
      -diffs- off my tarball instead of changing it. I feel that
      as maintainer and upstream author, I should be allowed to
      alter the tarball; I ask that any NMUs do -not-, and produce
      diffs instead, for the specific reason that I can't know what
      you did or didn't do without pouring over the source, hence
      I can't account for changes. Still, thanks for your effort
      and interest; as I always make it a point to thank NMUers at 
      the time, I do so now as well.

 --  <jwl@debian.org>  Mon, 30 Jun 2003 08:40:00 -0700

=== debian/control ===
Source: animals
Priority: optional
Maintainer: Philipp Schafft <lion@lion.leolix.org>
Uploaders: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper (>= 7), libdb4.6++-dev
Standards-Version: 3.9.0
Section: games
Homepage: http://animals.keep-cool.org/

Package: animals
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: suidmanager (<< 0.50)
Description: Traditional AI animal guessing engine using a binary tree DB
 You think of an animal, and this package tries to guess it... when it's wrong,
 you teach it about your animal.

Package: animals-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, animals (= ${binary:Version})
Description: Traditional AI animal guessing engine (debugging symbols)
 You think of an animal, and this package tries to guess it... when it's wrong,
 you teach it about your animal.
 .
 This package provides debugging symbols for the animals package.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp
	rm -rf $(CURDIR)/debian/animals
	$(MAKE) clean
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) install DESTDIR=$(CURDIR)/debian/animals
	touch install-stamp

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_link
	dh_strip --dbg-package=animals-dbg
	dh_compress
	dh_fixperms
	chown games:games $(CURDIR)/debian/animals/var/games/animals
	chmod 06775 $(CURDIR)/debian/animals/var/games/animals
	chown games:games $(CURDIR)/debian/animals/usr/games/animals
	chmod 02755 $(CURDIR)/debian/animals/usr/games/animals
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

=== debian/watch ===
version=3
http://animals.keep-cool.org/index.html dl/animals-(.*)\.tar\.gz

## animals 201207131226

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #this is the -*- makefile -*- for animals.
 
 # Copyright (c) 1997 by Jim Lynch.
-# Copyright (c) 2010 by Philipp Schafft.
+# Copyright (c) 2010-2012 by Philipp Schafft.
 # This software comes with NO WARRANTY WHATSOEVER.
 #
 # This program is free software; you can redistribute it and/or modify
@@ -15,23 +15,21 @@
 #    GNU General Public License for more details.
 #
 #    You should have received a copy of the GNU General Public License
-#    along with this program;  if not, write to the Free Software
-#    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
-#    02110-1301 USA
-#
-# On Debian Linux systems, the complete text of the GNU General
-# Public License can be found in `/usr/doc/copyright/GPL' (on some
-# installations) or /usr/share/common-licenses/GPL (on newer 
-# ones).
+#    along with this software; see the file COPYING.  If not, write to
+#    the Free Software Foundation, 51 Franklin Street, Fifth Floor,
+#    Boston, MA 02110-1301, USA.
 
 # if you want the db in your home dir (maybe for testing)
-#CPPFLAGS = -g -DDbName=\"$(HOME)/animals.db\"
+#CPPFLAGS = -O2 -g -DDbName=\"$(HOME)/animals.db\"
 
 # this one is pre-FHS, so uses FSSTND
-#CPPFLAGS = -g -DDbName=\"/var/lib/games/animals/animals.db\"
+#CPPFLAGS = -O2 -g -DDbName=\"/var/lib/games/animals/animals.db\"
 
 # use this one for FHS-based debian package
-CPPFLAGS += -g -DDbName=\"/var/games/animals/animals.db\"
+CPPFLAGS += -O2 -g -DDbName=\"/var/games/animals/animals.db\"
+
+# Setting some common linker flags
+LDFLAGS += -O2 -g -Wall -Wextra
 
 # Edited for Debian GNU/Linux.
 DESTDIR =
@@ -39,15 +37,15 @@
 CXX=g++
 
 animals: main.o db4++-stuff.o str-conversions.o util.o
-	$(CXX) -o animals main.o db4++-stuff.o str-conversions.o util.o -ldb_cxx
+	$(CXX) $(LDFLAGS) -o animals main.o db4++-stuff.o str-conversions.o util.o -ldb_cxx
 
 # various tests are conducted in test.cc
 test: db4++-stuff.o test.o str-conversions.o util.o
-	$(CXX) -o test test.o db4++-stuff.o str-conversions.o -ldb_cxx
+	$(CXX) $(LDFLAGS) -o test test.o db4++-stuff.o str-conversions.o -ldb_cxx
 
 # tests of the string conversion funcs are conducted in test-str-cvt.cc
 test-str-cvt: test-str-cvt.o str-conversions.o
-	$(CXX) -o test-str-cvt test-str-cvt.o str-conversions.o
+	$(CXX) $(LDFLAGS) -o test-str-cvt test-str-cvt.o str-conversions.o
 
 test-str-cvt.o: test-str-cvt.cc str-conversions.h

=== debian/changelog ===
animals (201207131226-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Set "Rules-Requires-Root: binary-targets" (Closes: #1089283)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 09 Dec 2024 20:39:49 +0100

animals (201207131226-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace libdb++-dev with libdb5.3++-dev. (Closes: #1042087)

 -- Bastian Germann <bage@debian.org>  Thu, 26 Oct 2023 00:57:51 +0200

animals (201207131226-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix typo overwrite -> override in debian/rules that prevented the use of
    correct file permissions and thus made the game unusable.
    Thanks to Aaron Howell for the report. (Closes: #875547)

 -- Markus Koschany <apo@debian.org>  Mon, 16 Apr 2018 19:21:27 +0200

animals (201207131226-2) unstable; urgency=medium

  * Switch to dh
  * Compat bump to 9
  * Drop -dbg package to transition to new dbgsym package
  * drop hardening-wrapper (Closes: #836614)

 -- Alberto Fuentes <pajaro@gmail.com>  Sun, 11 Sep 2016 20:20:18 +0200

animals (201207131226-1) unstable; urgency=low

  * New maintainer. (Closes: #679235)
  * New upstream release.
    - Changed ChangeLog format to RoarAudio Changelog Format.
    - Allow answering "sure" to "Want to play again?"
    - Updated legal infrastructure.
    - Updated manpage.
    - Updated Makefile.

 -- Alberto Á. Fuentes <pajaro@gmail.com>  Sun, 15 Jul 2012 22:18:46 +0200

animals (201007161925-8) unstable; urgency=low

  * Bump Standards-Version to 3.9.3 (no changes needed).
  * Wrap all debian/control fields.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 06 Apr 2012 20:59:36 +0200

animals (201007161925-7) unstable; urgency=low

  * Fix lintian warning build-depends-on-versioned-berkeley-db.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 04 Feb 2012 14:47:49 +0100

animals (201007161925-6) unstable; urgency=low

  [ Philipp Schafft ]
  * Fixed lintian warnings:
    - Added missing rules: build-arch, build-indep
    - Updated copyright file
    - Made the package description more verbose
    - Updated and corrected copyright file
    - Added lintian overwrite for directory permission

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 06 Oct 2011 12:12:18 +0200

animals (201007161925-5) unstable; urgency=low

  [ Philipp Schafft ]
  * Updated homepage and watch file.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 14 May 2011 13:59:58 +0200

animals (201007161925-4) unstable; urgency=low

  * Build with hardening-wrapper.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 30 Apr 2011 15:54:38 +0200

animals (201007161925-3) unstable; urgency=high

  * Change build depend on libdb++-dev.
    Closes: #622712
  * Bump Standards-Version to 3.9.2 (no changes needed).

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 16 Apr 2011 12:14:40 +0200

animals (201007161925-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.1 (no changes needed).

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 06 Feb 2011 19:06:06 +0100

=== debian/control ===
Source: animals
Priority: optional
Maintainer: Alberto Fuentes <pajaro@gmail.com>
Build-Depends: debhelper (>= 9),
 libdb5.3++-dev,
Rules-Requires-Root: binary-targets
Standards-Version: 3.9.3
Section: games
Homepage: http://software.keep-cool.org/animals.html

Package: animals
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Breaks: suidmanager (<< 0.50)
Description: Traditional AI animal guessing engine using a binary tree DB
 You think of an animal, and this package tries to guess it... when it's wrong,
 you teach it about your animal.
 .
 To be more flexible and help educational aspect this game does not contain
 an initial database. This also allows it to be used for non animals like
 guessing of tools or locations.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
%:
	dh $@

override_dh_strip:
	dh_strip --dbgsym-migration='animals-dbg (<<201207131226-1)'

override_dh_fixperms:
	dh_fixperms
	chown games:games $(CURDIR)/debian/animals/var/games/animals
	chmod 06775 $(CURDIR)/debian/animals/var/games/animals
	chown games:games $(CURDIR)/debian/animals/usr/games/animals
	chmod 02755 $(CURDIR)/debian/animals/usr/games/animals

## animals 202601041054Z

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #this is the -*- makefile -*- for animals.
 
 # Copyright (c) 1997 by Jim Lynch.
-# Copyright (c) 2010-2012 by Philipp Schafft.
+# Copyright (c) 2010-2012,2026 by Philipp Schafft.
 # This software comes with NO WARRANTY WHATSOEVER.
 #
 # This program is free software; you can redistribute it and/or modify
@@ -20,13 +20,13 @@
 #    Boston, MA 02110-1301, USA.
 
 # if you want the db in your home dir (maybe for testing)
-#CPPFLAGS = -O2 -g -DDbName=\"$(HOME)/animals.db\"
+#CPPFLAGS = -O2 -g -Wall -Wextra -std=c++20 -DDbName=\"$(HOME)/animals.sqlite3\"
 
 # this one is pre-FHS, so uses FSSTND
-#CPPFLAGS = -O2 -g -DDbName=\"/var/lib/games/animals/animals.db\"
+#CPPFLAGS = -O2 -g -Wall -Wextra -std=c++20 -DDbName=\"/var/lib/games/animals/animals.sqlite3\"
 
 # use this one for FHS-based debian package
-CPPFLAGS += -O2 -g -DDbName=\"/var/games/animals/animals.db\"
+CPPFLAGS += -O2 -g -Wall -Wextra -std=c++20 -DDbName=\"/var/games/animals/animals.sqlite3\"
 
 # Setting some common linker flags
 LDFLAGS += -O2 -g -Wall -Wextra
@@ -36,12 +36,8 @@
 
 CXX=g++
 
-animals: main.o db4++-stuff.o str-conversions.o util.o
-	$(CXX) $(LDFLAGS) -o animals main.o db4++-stuff.o str-conversions.o util.o -ldb_cxx
-
-# various tests are conducted in test.cc
-test: db4++-stuff.o test.o str-conversions.o util.o
-	$(CXX) $(LDFLAGS) -o test test.o db4++-stuff.o str-conversions.o -ldb_cxx
+animals: main.o sqlite-stuff.o str-conversions.o util.o
+	$(CXX) $(LDFLAGS) -o animals main.o sqlite-stuff.o str-conversions.o util.o -lsqlite3
 
 # tests of the string conversion funcs are conducted in test-str-cvt.cc
 test-str-cvt: test-str-cvt.o str-conversions.o
@@ -51,9 +47,11 @@
 
 str-conversions.o: str-conversions.cc str-conversions.h
 
-main.o: main.cc Record.h Question.h Animal.h db++-stuff.h str-conversions.h
+main.o: main.cc Record.h Question.h Animal.h sqlite-stuff.h str-conversions.h
 
-db4++-stuff.o: db4++-stuff.cc db++-stuff.h
+db4++-stuff.o: db4++-stuff.cc db4++-stuff.h
+
+sqlite-stuff.o: sqlite-stuff.cc sqlite-stuff.h
 
 util.o: util.cc util.h

=== debian/changelog ===
animals (202601041054Z-1) unstable; urgency=medium

  * New upstream version
  * Maintain in Debian Games team
    Closes: #1124011
  * d/watch: version=5
  * Build-Depends: s/libdb5.3++-dev/libsqlite3-dev/
    Closes: #1119191
  * d/rules: There is no *-dbg package
  * Do not require Rules-Requires-Root, instead set permissions in postinst
  * d/copyright: DEP5
  * Standards-Version: 4.7.3 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)
  * Mention changed database backend and the need for recreation

 -- Andreas Tille <tille@debian.org>  Sun, 25 Jan 2026 08:17:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: animals
-Priority: optional
-Maintainer: Alberto Fuentes <pajaro@gmail.com>
-Build-Depends: debhelper (>= 9),
- libdb5.3++-dev,
-Rules-Requires-Root: binary-targets
-Standards-Version: 3.9.3
+Maintainer:  Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Uploaders: Alberto Fuentes <pajaro@gmail.com>,
+           Andreas Tille <tille@debian.org>
+Build-Depends: debhelper-compat (= 13),
+ libsqlite3-dev,
+Standards-Version: 4.7.3
 Section: games
-Homepage: http://software.keep-cool.org/animals.html
+Vcs-Browser: https://salsa.debian.org/games-team/animals
+Vcs-Git: https://salsa.debian.org/games-team/animals.git
+Homepage: https://software.keep-cool.org/animals.html
 
 Package: animals
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
%:
	dh $@

=== debian/watch ===
Version: 5

Source: https://software.keep-cool.org/downloads.html#animals
Matching-Pattern: .*/@PACKAGE@/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
